## numactl 0.9.11

=== Makefile ===
--- 
+++ 
@@ -9,27 +9,36 @@
 CFLAGS += ${OPT_CFLAGS}
 override CFLAGS += -I.
 
+# find out if compiler supports __thread
+THREAD_SUPPORT := $(shell if $(CC) $(CFLAGS) threadtest.c -o threadtest \
+			>/dev/null 2>/dev/null ; then echo "yes" ; else echo "no"; fi)
+ifeq ($(THREAD_SUPPORT),no)
+	override CFLAGS += -D__thread=""
+endif
+
 CLEANFILES := numactl.o libnuma.o numactl numademo numademo.o distance.o \
 	      memhog libnuma.so libnuma.so.1 numamon numamon.o syscall.o bitops.o \
 	      memhog.o util.o stream_main.o stream_lib.o shm.o stream \
 	      test/pagesize test/tshared test/mynode.o test/tshared.o mt.o \
 	      test/mynode test/ftok test/prefered test/randmap \
-	      .depend .depend.X test/nodemap test/distance \
-		test/after test/before
+	      .depend .depend.X test/nodemap test/distance test/tbitmap \
+		test/after test/before threadtest migratepages
 
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
 	test/*.c
 
 prefix := /usr
-libdir := ${prefix}$(shell if [ -d /usr/lib64 ] ; then echo "/lib64" ; else echo "/lib"  ; fi)
+libdir := ${prefix}/$(shell ./getlibdir)
 docdir := ${prefix}/share/doc
 
-all: numactl libnuma.so numademo numamon memhog test/tshared stream \
+all: numactl migratepages libnuma.so numademo numamon memhog test/tshared stream \
      test/mynode test/pagesize test/ftok test/prefered test/randmap \
-	 test/nodemap test/distance
+	 test/nodemap test/distance test/tbitmap
 
 numactl: numactl.o util.o shm.o bitops.o libnuma.so
+
+migratepages: migratepages.c util.o bitops.o libnuma.so
 
 util.o: util.c
 
@@ -82,6 +91,8 @@
 
 test/distance: test/distance.c libnuma.so
 
+test/tbitmap: test/tbitmap.c libnuma.so
+
 .PHONY: install all clean html depend
 
 MANLINKS := \
@@ -93,21 +104,23 @@
 set_membind set_preferred set_strict setlocal_memory tonode_memory \
 tonodemask_memory distance
 
-MANPAGES := numa.3 numactl.8 mbind.2 set_mempolicy.2 get_mempolicy.2 \
-	    numastat.8
+MANPAGES := numa.3 numactl.8 numastat.8 migratepages.8
 
-install: numactl numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numastat ${MANPAGES}
+install: numactl migratepages numademo.c numamon memhog libnuma.so.1 numa.h numaif.h numastat ${MANPAGES}
+	mkdir -p ${prefix}/bin
 	cp numactl ${prefix}/bin
+	cp migratepages ${prefix}/bin
 	cp numademo ${prefix}/bin
 	cp memhog ${prefix}/bin
-	cp set_mempolicy.2 ${prefix}/share/man/man2
-	cp get_mempolicy.2 ${prefix}/share/man/man2
-	cp mbind.2 ${prefix}/share/man/man2
+	mkdir -p ${prefix}/share/man/man2 ${prefix}/share/man/man8 ${prefix}/share/man/man3
 	cp numactl.8 ${prefix}/share/man/man8
 	cp numa.3 ${prefix}/share/man/man3
 	( cd ${prefix}/share/man/man3 ; for i in ${MANLINKS} ; do ln -sf numa.3 numa_$$i.3 ; done )
+	cp numa_maps.5 ${prefix}/share/man/man5
+	mkdir -p ${libdir}
 	cp libnuma.so.1 ${libdir}
 	cd ${libdir} ; ln -sf libnuma.so.1 libnuma.so
+	mkdir -p ${prefix}/include
 	cp numa.h numaif.h ${prefix}/include
 	cp numastat ${prefix}/bin
 	if [ -d ${docdir} ] ; then \
@@ -115,7 +128,7 @@
 		cp numademo.c ${docdir}/numactl/examples ; \
 	fi	
 
-HTML := html/numactl.html html/numa.html html/mbind.html html/get_mempolicy.html html/set_mempolicy.html
+HTML := html/numactl.html html/numa.html
 
 clean: 
 	rm -f ${CLEANFILES}
@@ -123,7 +136,7 @@
 
 distclean: clean
 	rm -f .[^.]* */.[^.]*
-	rm -f *~ */*~
+	rm -f *~ */*~ *.orig */*.orig */*.rej *.rej 
 
 html: ${HTML} 
 
@@ -131,21 +144,9 @@
 	if [ ! -d html ] ; then mkdir html ; fi
 	groff -Thtml -man numactl.8 > html/numactl.html
 
-html/mbind.html: mbind.2
-	if [ ! -d html ] ; then mkdir html ; fi
-	groff -Thtml -man mbind.2 > html/mbind.html
-
 html/numa.html: numa.3
 	if [ ! -d html ] ; then mkdir html ; fi
 	groff -Thtml -man numa.3 > html/numa.html
-
-html/get_mempolicy.html: get_mempolicy.2
-	if [ ! -d html ] ; then mkdir html ; fi
-	groff -Thtml -man get_mempolicy.2 > html/get_mempolicy.html
-
-html/set_mempolicy.html: set_mempolicy.2
-	if [ ! -d html ] ; then mkdir html ; fi
-	groff -Thtml -man set_mempolicy.2 > html/set_mempolicy.html
 
 depend: .depend
 
@@ -155,3 +156,13 @@
 include .depend
 
 Makefile: .depend
+
+.PHONY: test regress1 regress2
+
+regress1: 
+	cd test ; ./regress
+
+regress2:
+	cd test ; ./regress2
+
+test: all regress1 regress2
