## numactl 2.0.4~rc2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,8 @@
 	      .depend .depend.X test/nodemap test/distance test/tbitmap \
 	      test/after test/before threadtest test_move_pages \
 	      test/mbind_mig_pages test/migrate_pages \
-	      migratepages migspeed migspeed.o libnuma.a
+	      migratepages migspeed migspeed.o libnuma.a \
+	      test/move_pages
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
 	clearcache.c test/*.c
