## numactl 2.0.9~rc5

=== Makefile ===
--- 
+++ 
@@ -32,12 +32,16 @@
 	      test/mbind_mig_pages test/migrate_pages \
 	      migratepages migspeed migspeed.o libnuma.a \
 	      test/move_pages test/realloc_test sysfs.o affinity.o \
-	      test/node-parse rtnetlink.o test/A
+	      test/node-parse rtnetlink.o test/A numastat
 SOURCES := bitops.c libnuma.c distance.c memhog.c numactl.c numademo.c \
 	numamon.c shm.c stream_lib.c stream_main.c syscall.c util.c mt.c \
-	clearcache.c test/*.c affinity.c sysfs.c rtnetlink.c
-
+	clearcache.c test/*.c affinity.c sysfs.c rtnetlink.c numastat.c
+
+ifeq ($(strip $(PREFIX)),)
 prefix := /usr
+else
+prefix := $(PREFIX)
+endif
 libdir := ${prefix}/$(shell ./getlibdir)
 docdir := ${prefix}/share/doc
 
@@ -45,9 +49,11 @@
      test/tshared stream test/mynode test/pagesize test/ftok test/prefered \
      test/randmap test/nodemap test/distance test/tbitmap test/move_pages \
      test/mbind_mig_pages test/migrate_pages test/realloc_test libnuma.a \
-     test/node-parse
+     test/node-parse numastat
 
 numactl: numactl.o util.o shm.o bitops.o libnuma.so
+
+numastat: CFLAGS += -std=gnu99
 
 migratepages: migratepages.c util.o bitops.o libnuma.so
 
@@ -203,7 +209,9 @@
 regress2:
 	cd test ; ./regress2
 
-regress3:
-	cd test ; ./regress-io
-
-test: all regress1 regress2 test_numademo regress3
+# regress-io is known not to work
+# regress3:
+# 	cd test ; ./regress-io
+
+# test: all regress1 regress2 test_numademo regress3
+test: all regress1 regress2 test_numademo
