## numactl 2.0.11

=== debian/changelog ===
numactl (2.0.11-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/Allow-building-on-ARM-systems.patch:
    - add __arm__ to avoid failure due to missing syscalls.
    - return -1 and set errno to ENOSYS on migrate_pages function
      if __NR_migrate_pages is undefined, thanks Uwe Kleine-König
      and Tiago Stürmer Daitx. Closes: #796802. LP: #1711478.
  * Install memhog and migspeed. Closes: #882873. Thanks Manoj Iyer.
  * debian/control: Correct project Homepage link. Closes: #894825.
  * Bump Standards-Version to 4.1.4:
    - libnuma-dev is now Priority: optional (extra is deprecated).
  * debian/patches/Add-NAME-section-to-numastat-manpage.patch: Add
    "NAME" section to manpage for proper parsing by commands like apropos
    and whatis.
  * debian/numactl.docs: The upstream changelog is already installed
    as /usr/share/doc/numactl/changelog.gz, no need to install another
    copy.

 -- dann frazier <dannf@debian.org>  Tue, 17 Apr 2018 16:11:23 -0600

numactl (2.0.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Try to build all the packages on all the linux architectures, armel and
    armhf are still not supported, but all the others should to build now.
  * Drop the -dbg package and rely on the automatically built ones (-dbgsym)
  * Switch to 3.0 (quilt) format and drop deprecated simple-patchsys patch
    system
  * Bump Standards-Version to 3.9.8 (no further changes)
  * Add .symbols file for libnuma1

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Dec 2016 19:27:02 +0100

numactl (2.0.11-2) unstable; urgency=medium

  * Fix building with no timestamps with autoconf reconfigure (Closes:
    #814952) (Nishanth Aravamudan <nish.aravamudan@canonical.com>)

 -- Ian Wienand <ianw@debian.org>  Sun, 13 Mar 2016 12:32:36 +1100

numactl (2.0.11-1) unstable; urgency=medium

  * Update to 2.0.11
  * Update copyright to point to new github upstream

 -- Ian Wienand <ianw@debian.org>  Sat, 12 Dec 2015 10:45:27 +1100

numactl (2.0.10-1) unstable; urgency=medium

  * Update to 2.0.10 final
  * Upstream now uses autoconf/make; modify rules file
    to use autotools cdbs class
  * Update standards to 3.9.6 (no changes)
  * Add hppa too (Closes: #764665)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Oct 2014 21:45:46 +1100

numactl (2.0.10~rc2-3) unstable; urgency=medium

  * Turns out that kernel headers aren't generic enough to work anywhere.
    Return arch to "i386 amd64 ia64 mips mipsel mipsn32 mipsn32el mips64
    mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc"
    (Closes: #762449)

 -- Ian Wienand <ianw@debian.org>  Sat, 27 Sep 2014 13:53:11 +1000

numactl (2.0.10~rc2-2) unstable; urgency=medium

  * Change architecture to "any".  There is no reason this can't build
    everywhere.  (Closes: #739725)

 -- Ian Wienand <ianw@debian.org>  Mon, 22 Sep 2014 09:21:33 +1000

numactl (2.0.10~rc2-1) unstable; urgency=medium

  * Upgrade to 2.0.10-rc2
  * Remove 001_no_numa.patch; fixed upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 09 Sep 2014 21:33:32 +1000

numactl (2.0.9-1) unstable; urgency=low

  * Upgrade to 2.0.9
  * Upgrade standards to 3.9.5 (no change)
  * Add 001_no_numa.patch to avoid crash when no NUMA present (Closes:
    #712692)

 -- Ian Wienand <ianw@debian.org>  Sat, 21 Jun 2014 12:34:13 +1000

numactl (2.0.9~rc5-1) unstable; urgency=low

  * Upgrade to 2.0.9~rc5
  * Include multi-arch patch, thanks Eleanor Chen <chenyueg@gmail.com>!
    (Closes: #719953)
  * Various updates to multi-arch to make it compliant
  * Remove debian/*.dirs as upstream makes directories
  * Update to compat 9 so dh_strip generates debug pkg with build-id

 -- Ian Wienand <ianw@debian.org>  Thu, 19 Sep 2013 13:45:43 +1000

numactl (2.0.8-3) unstable; urgency=low

  * Add x32 & ppc64 to supported arch list (Closes: #714001)

 -- Ian Wienand <ianw@debian.org>  Wed, 26 Jun 2013 19:38:58 +1000

numactl (2.0.8-2) unstable; urgency=low

  * Add powerpcspe to support arch list (Closes: #711883)
  * Update standards version to 3.9.4 (no changes)

 -- Ian Wienand <ianw@debian.org>  Tue, 11 Jun 2013 20:54:58 +1000

numactl (2.0.8-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Thu, 15 Nov 2012 12:20:29 -0800

numactl (2.0.8~rc4-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Sun, 01 Jul 2012 00:11:37 -0700

numactl (2.0.8~rc3-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Fri, 03 Feb 2012 09:50:36 -0800

numactl (2.0.8~rc2-1) unstable; urgency=low

  * New upstream (Closes: #548030)
  * Update standards to 3.9.2
  * No patches so remove from rules

 -- Ian Wienand <ianw@debian.org>  Thu, 15 Sep 2011 20:56:50 -0700

numactl (2.0.5-1) unstable; urgency=low

  * New upstream
  * Update standards to 3.9.1
  * Update debhelper compat to 7
  * Remove libnuma1.shlibs; should be covered by -V to
    dh_makeshlibs (Closes: #570201)

 -- Ian Wienand <ianw@debian.org>  Wed, 11 Aug 2010 22:32:39 -0700

numactl (2.0.4~rc2-1) unstable; urgency=low

  * New upstream
  * Update standards version, no changes
  * Make dev & dbg packages depend on the exact binary version (Closes:
    #570201)

 -- Ian Wienand <ianw@debian.org>  Thu, 11 Feb 2010 15:20:37 -0800

numactl (2.0.3-1) unstable; urgency=low

  * New upstream
  * Upstream URL in copyright is fixed (Closes: #499425)

 -- Ian Wienand <ianw@debian.org>  Fri, 19 Jun 2009 11:18:56 -0700

numactl (2.0.3~rc3-1) unstable; urgency=low

  * New upstream (Closes: #525014)
  * Move libnuma-dbg to debug section
  * Add ${misc:Depends} deps to packages
  * Update to standards version to 3.8.1

 -- Ian Wienand <ianw@debian.org>  Thu, 30 Apr 2009 08:04:32 -0700

numactl (2.0.3~rc2-1) unstable; urgency=low

  * New upstream

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Apr 2009 07:32:53 -0700

numactl (2.0.3~rc1-2) unstable; urgency=low

  * While I'm at it, fix up the upstream location in copyright file
    (Closes: #499425)


