=== debian/control ===
Source: numactl
Section: admin
Priority: optional
Maintainer: Ian Wienand <ianw@debian.org>
Uploaders: Al Stone <ahs3@debian.org>
Standards-Version: 3.9.8
Build-Depends: cdbs,
 autotools-dev,
 dh-autoreconf,
 debhelper,
 dh-buildinfo, dh-autoreconf, debhelper (>= 9.20160114~)
Homepage: https://github.com/numactl/numactl

Package: numactl
Multi-Arch: foreign
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnuma1 (>= 2.0.1)
Description: NUMA scheduling and memory placement tool
 numactl runs processes with a specific NUMA (Non-Uniform Memory
 Architecture) scheduling or memory placement policy.  In addition it
 can set persistent policy for shared memory segments or files.

Package: libnuma1
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: linux-any
Description: Libraries for controlling NUMA policy
 Library to control specific NUMA (Non-Uniform Memory Architecture)
 scheduling or memory placement policies.

Package: libnuma-dev
Section: libdevel
Priority: optional
Multi-Arch: same
Depends: ${misc:Depends}, libnuma1 (= ${binary:Version}), libc6-dev | libc-dev
Architecture: linux-any
Description: Development files for libnuma
 Library to control specific NUMA (Non-Uniform Memory Architecture)
 scheduling or memory placement policies.  This package contains
 headers and manual pages relating to the library.
