## numactl 2.0.12

=== debian/changelog ===
numactl (2.0.12-1) unstable; urgency=medium

  * Update to 2.0.12
  * Update debian/watch file to github
  * Import into salsa.debian.org; add Vcs links to control
  * debian/patches/Allow-building-on-ARM-system.patch:
     - included upstream
  * debian/patches/Add-NAME-section-to-numastat-manpage.patch:
     - included upstream
  * debian/patches/README: remove as better tracked by git commits
    now
  * debian/control.in : remove; just use plain control file as it is out
    of sync.

 -- Ian Wienand <ianw@debian.org>  Sat, 08 Sep 2018 12:51:50 +1000
