=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
  debhelper,
  dh-buildinfo, dh-autoreconf, debhelper (>= 9.20160114~)
 Homepage: https://github.com/numactl/numactl
+Vcs-Browser: https://salsa.debian.org/debian/numactl
+Vcs-Git: https://salsa.debian.org/debian/numactl.git
 
 Package: numactl
 Multi-Arch: foreign
