## numactl 2.0.14

=== debian/changelog ===
numactl (2.0.14-3ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:32 +0100

numactl (2.0.14-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946879). Remaining changes:
    - New patch d/p/link-libatomic.diff: Link with -latomic
      to fix ftbfs on riscv64.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 29 Oct 2021 13:49:46 +0200

numactl (2.0.14-3) unstable; urgency=medium

  * Only install numa.3 in -dev package (Closes: #994821)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Sep 2021 10:54:16 +1000

numactl (2.0.14-2) unstable; urgency=medium

  * Fix build depends for cdbs removal
  * Don't include move_pages (Closes: #994832)

 -- Ian Wienand <ianw@debian.org>  Wed, 22 Sep 2021 05:08:17 +1000

numactl (2.0.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Ian Wienand ]
  * New upstream version 2.0.14
  * Update compat to 13
  * Update standards version
  * Switch packaging to debhelper (Closes: #950534, #991847, #849009, #895960)

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Sep 2021 15:42:03 +1000

numactl (2.0.14-0ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:45 +0200

numactl (2.0.14-0ubuntu2) hirsute; urgency=medium

  * Link with -latomic to fix ftbfs on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 11:40:09 +0100

numactl (2.0.14-0ubuntu1) hirsute; urgency=medium

  * New upstream version, ready for lto builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 11:07:18 +0100

numactl (2.0.12-1build1) groovy; urgency=medium

  * No change rebuild to gain CET protection

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Jun 2020 19:15:17 +0100
