=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: cdbs,
- autotools-dev,
- dh-autoreconf,
- debhelper,
- dh-buildinfo, dh-autoreconf, debhelper (>= 9.20160114~)
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 13)
 Homepage: https://github.com/numactl/numactl
 Vcs-Browser: https://salsa.debian.org/debian/numactl
 Vcs-Git: https://salsa.debian.org/debian/numactl.git
@@ -24,7 +21,6 @@
 
 Package: libnuma1
 Section: libs
-Priority: optional
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -35,7 +31,6 @@
 
 Package: libnuma-dev
 Section: libdevel
-Priority: optional
 Multi-Arch: same
 Depends: ${misc:Depends}, libnuma1 (= ${binary:Version}), libc6-dev | libc-dev
 Architecture: linux-any
