## numactl 2.0.15

=== debian/changelog ===
numactl (2.0.15-1) unstable; urgency=medium

  * New upstream version 2.0.15
  * Update symbols for 2.0.15

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Sep 2022 13:48:33 +1000
