## numactl 2.0.16

=== debian/changelog ===
numactl (2.0.16-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + numactl: Drop versioned constraint on libnuma1 in Depends.

  [ Ian Wienand ]
  * New upstream version 2.0.16

 -- Ian Wienand <ianw@debian.org>  Tue, 27 Dec 2022 10:30:33 +1100
