=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/numactl-$1\.tar\.gz/ \
  https://github.com/numactl/numactl/tags .*/v?(\d\S+)\.tar\.gz
