## numactl 2.0.18

=== debian/changelog ===
numactl (2.0.18-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:45 +0200

numactl (2.0.18-1) unstable; urgency=medium

  * New upstream version 2.0.18 (Closes: #1063402)
  * Update symbols for upstream 5b790bdaae6b733759399908e9ccf1f2677a0443
  * Remove man page macro fix

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Feb 2024 08:46:18 +1100

numactl (2.0.17-2) unstable; urgency=medium

  * debian/patches/series : add trailing newline (lintian)

 -- Ian Wienand <ianw@debian.org>  Tue, 06 Feb 2024 21:17:09 +1100

numactl (2.0.17-1) unstable; urgency=medium

  * New upstream version 2.0.17
  * Remove debian release from symbols
  * Fix man page lintian warnings

 -- Ian Wienand <ianw@debian.org>  Tue, 06 Feb 2024 19:56:47 +1100
