=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13)
