## numactl 2.0.19

=== debian/changelog ===
numactl (2.0.19-1) unstable; urgency=medium

  * New upstream version 2.0.19

 -- Ian Wienand <ianw@debian.org>  Wed, 23 Apr 2025 08:40:12 +1000
