=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: numactl
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
-Uploaders: Al Stone <ahs3@debian.org>
+Maintainer: Ian Wienand <ianw@debian.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13)
 Homepage: https://github.com/numactl/numactl
