=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	echo "Skipping as can not run on non-NUMA"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
